# Form implementation generated from reading ui file 'src/eric7/Network/IRC/IrcNetworkEditDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_IrcNetworkEditDialog(object):
    def setupUi(self, IrcNetworkEditDialog):
        IrcNetworkEditDialog.setObjectName("IrcNetworkEditDialog")
        IrcNetworkEditDialog.resize(400, 321)
        IrcNetworkEditDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(IrcNetworkEditDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=IrcNetworkEditDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.networkEdit = QtWidgets.QLineEdit(parent=IrcNetworkEditDialog)
        self.networkEdit.setObjectName("networkEdit")
        self.gridLayout.addWidget(self.networkEdit, 0, 1, 1, 2)
        self.label_2 = QtWidgets.QLabel(parent=IrcNetworkEditDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.identityCombo = QtWidgets.QComboBox(parent=IrcNetworkEditDialog)
        self.identityCombo.setObjectName("identityCombo")
        self.gridLayout.addWidget(self.identityCombo, 1, 1, 1, 1)
        self.editIdentitiesButton = QtWidgets.QToolButton(parent=IrcNetworkEditDialog)
        self.editIdentitiesButton.setText("")
        self.editIdentitiesButton.setObjectName("editIdentitiesButton")
        self.gridLayout.addWidget(self.editIdentitiesButton, 1, 2, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=IrcNetworkEditDialog)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 2, 0, 1, 1)
        self.editServerButton = QtWidgets.QToolButton(parent=IrcNetworkEditDialog)
        self.editServerButton.setText("")
        self.editServerButton.setObjectName("editServerButton")
        self.gridLayout.addWidget(self.editServerButton, 2, 2, 1, 1)
        self.label_4 = QtWidgets.QLabel(parent=IrcNetworkEditDialog)
        self.label_4.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 3, 0, 1, 1)
        self.channelList = QtWidgets.QTreeWidget(parent=IrcNetworkEditDialog)
        self.channelList.setAlternatingRowColors(True)
        self.channelList.setRootIsDecorated(False)
        self.channelList.setItemsExpandable(False)
        self.channelList.setExpandsOnDoubleClick(False)
        self.channelList.setObjectName("channelList")
        self.gridLayout.addWidget(self.channelList, 3, 1, 1, 1)
        self.verticalLayout = QtWidgets.QVBoxLayout()
        self.verticalLayout.setObjectName("verticalLayout")
        self.addChannelButton = QtWidgets.QToolButton(parent=IrcNetworkEditDialog)
        self.addChannelButton.setText("")
        self.addChannelButton.setObjectName("addChannelButton")
        self.verticalLayout.addWidget(self.addChannelButton)
        self.editChannelButton = QtWidgets.QToolButton(parent=IrcNetworkEditDialog)
        self.editChannelButton.setText("")
        self.editChannelButton.setObjectName("editChannelButton")
        self.verticalLayout.addWidget(self.editChannelButton)
        self.deleteChannelButton = QtWidgets.QToolButton(parent=IrcNetworkEditDialog)
        self.deleteChannelButton.setText("")
        self.deleteChannelButton.setObjectName("deleteChannelButton")
        self.verticalLayout.addWidget(self.deleteChannelButton)
        spacerItem = QtWidgets.QSpacerItem(20, 98, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout.addItem(spacerItem)
        self.gridLayout.addLayout(self.verticalLayout, 3, 2, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=IrcNetworkEditDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 4, 0, 1, 3)
        self.serverEdit = QtWidgets.QLineEdit(parent=IrcNetworkEditDialog)
        self.serverEdit.setReadOnly(True)
        self.serverEdit.setObjectName("serverEdit")
        self.gridLayout.addWidget(self.serverEdit, 2, 1, 1, 1)

        self.retranslateUi(IrcNetworkEditDialog)
        self.buttonBox.accepted.connect(IrcNetworkEditDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(IrcNetworkEditDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(IrcNetworkEditDialog)
        IrcNetworkEditDialog.setTabOrder(self.networkEdit, self.identityCombo)
        IrcNetworkEditDialog.setTabOrder(self.identityCombo, self.editIdentitiesButton)
        IrcNetworkEditDialog.setTabOrder(self.editIdentitiesButton, self.serverEdit)
        IrcNetworkEditDialog.setTabOrder(self.serverEdit, self.editServerButton)
        IrcNetworkEditDialog.setTabOrder(self.editServerButton, self.channelList)
        IrcNetworkEditDialog.setTabOrder(self.channelList, self.addChannelButton)
        IrcNetworkEditDialog.setTabOrder(self.addChannelButton, self.editChannelButton)
        IrcNetworkEditDialog.setTabOrder(self.editChannelButton, self.deleteChannelButton)
        IrcNetworkEditDialog.setTabOrder(self.deleteChannelButton, self.buttonBox)

    def retranslateUi(self, IrcNetworkEditDialog):
        _translate = QtCore.QCoreApplication.translate
        IrcNetworkEditDialog.setWindowTitle(_translate("IrcNetworkEditDialog", "IRC Network"))
        self.label.setText(_translate("IrcNetworkEditDialog", "Network Name:"))
        self.networkEdit.setToolTip(_translate("IrcNetworkEditDialog", "Enter the name of the IRC network"))
        self.label_2.setText(_translate("IrcNetworkEditDialog", "Identity:"))
        self.identityCombo.setToolTip(_translate("IrcNetworkEditDialog", "Select the identity to be used for the IRC network"))
        self.editIdentitiesButton.setToolTip(_translate("IrcNetworkEditDialog", "Press to edit the identities"))
        self.label_3.setText(_translate("IrcNetworkEditDialog", "Server:"))
        self.editServerButton.setToolTip(_translate("IrcNetworkEditDialog", "Press to edit the server configuration"))
        self.label_4.setText(_translate("IrcNetworkEditDialog", "Channels:"))
        self.channelList.headerItem().setText(0, _translate("IrcNetworkEditDialog", "Channel"))
        self.channelList.headerItem().setText(1, _translate("IrcNetworkEditDialog", "Join Automatically"))
        self.addChannelButton.setToolTip(_translate("IrcNetworkEditDialog", "Press to add a new channel"))
        self.editChannelButton.setToolTip(_translate("IrcNetworkEditDialog", "Press to edit the selected channel"))
        self.deleteChannelButton.setToolTip(_translate("IrcNetworkEditDialog", "Press to delete the selected channel"))
        self.serverEdit.setToolTip(_translate("IrcNetworkEditDialog", "Shows the name of the server"))
